InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::IOModeDescriptorTriggerInput Struct Reference
Inheritance diagram for inertia::IOModeDescriptorTriggerInput:
[legend]
Collaboration diagram for inertia::IOModeDescriptorTriggerInput:
[legend]

## Public Member Functions
| IOModeDescriptorTriggerInput (uint8_t const *in, const unsigned _descrLength)
| IOModeDescriptorTriggerInput (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
const std::wstring | ToSimpleString () const override
Public Member Functions inherited from inertia::IOModeDescriptor
| IOModeDescriptor (IOModeID _modeID)
| IOModeDescriptor (uint8_t const *in, const unsigned _ioLength)
| IOModeDescriptor (std::wstring const &argString)
IOModeID | GetModeID () const
unsigned | GetDescrLength () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
Static Public Member Functions inherited from inertia::IOModeDescriptor
static const po::options_description | GetOptionDescription ()

## Public Attributes
IOModeTriggerInputType | triggerType
float | holdOffTime
bool | startLogging
bool | stopLogging
bool | resetFrameCounter
bool | sendTimestampMessage

## Member Function Documentation

## ◆ GetBytes()

void inertia::IOModeDescriptorTriggerInput::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Reimplemented from inertia::IOModeDescriptor.

## ◆ ToSimpleString()

const std::wstring inertia::IOModeDescriptorTriggerInput::ToSimpleString | ( |  | ) | const
| override virtual

Reimplemented from inertia::IOModeDescriptor.

## ◆ ToString()

const std::wstring inertia::IOModeDescriptorTriggerInput::ToString | ( |  | ) | const
| override virtual

Reimplemented from inertia::IOModeDescriptor.

The documentation for this struct was generated from the following file:

- IOConfigSettings.h